DelegatingKerberosScheme (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.http.control, class: DelegatingKerberosScheme

Package org.apache.jmeter.protocol.http.control

# Class DelegatingKerberosScheme

java.lang.Object
org.apache.http.impl.auth.AuthSchemeBase
org.apache.http.impl.auth.GGSSchemeBase
org.apache.http.impl.auth.KerberosScheme
org.apache.jmeter.protocol.http.control.DelegatingKerberosScheme

All Implemented Interfaces:
  `org.apache.http.auth.AuthScheme`, `org.apache.http.auth.ContextAwareAuthScheme`

public class DelegatingKerberosScheme extends org.apache.http.impl.auth.KerberosScheme

- ## Field Summary

  ### Fields inherited from class org.apache.http.impl.auth.AuthSchemeBase

  `challengeState`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DelegatingKerberosScheme(boolean stripPort, boolean useCanonicalHostName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected byte[]`
  `generateGSSToken(byte[] input, Oid oid, String authServer, org.apache.http.auth.Credentials credentials)`

  ### Methods inherited from class org.apache.http.impl.auth.KerberosScheme

  `authenticate, generateToken, generateToken, getParameter, getRealm, getSchemeName, isConnectionBased`

  ### Methods inherited from class org.apache.http.impl.auth.GGSSchemeBase

  `authenticate, generateGSSToken, getManager, isComplete, parseChallenge`

  ### Methods inherited from class org.apache.http.impl.auth.AuthSchemeBase

  `getChallengeState, isProxy, processChallenge, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DelegatingKerberosScheme

    public DelegatingKerberosScheme(boolean stripPort, boolean useCanonicalHostName)

- ## Method Details

  - ### generateGSSToken

    protected byte[] generateGSSToken(byte[] input, Oid oid, String authServer, org.apache.http.auth.Credentials credentials) throws GSSException
    Overrides:
      `generateGSSToken` in class `org.apache.http.impl.auth.GGSSchemeBase`
    Throws:
      `GSSException`